package ink.wgink.common.rpc.rest.pojo;

import java.io.InputStream;

/**
 * @ClassName: RemoteFileInputStream
 * @Description: 远程文件流
 * @Author: wanggeng
 * @Date: 2022/8/4 14:44
 * @Version: 1.0
 */
public class RemoteFileInputStream {

    private String fileName;
    private long fileSize;
    private InputStream inputStream;

    public String getFileName() {
        return fileName == null ? "" : fileName.trim();
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public long getFileSize() {
        return fileSize;
    }

    public void setFileSize(long fileSize) {
        this.fileSize = fileSize;
    }

    public InputStream getInputStream() {
        return inputStream;
    }

    public void setInputStream(InputStream inputStream) {
        this.inputStream = inputStream;
    }
}
